#
# spec file for package exfatprogs
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           exfatprogs
Version:        1.0.4
Release:        1.47
Summary:        Utilities for exFAT file system maintenance
License:        GPL-2.0-or-later
URL:            https://github.com/exfatprogs/exfatprogs
Source0:        https://github.com/exfatprogs/exfatprogs/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig
Conflicts:      exfat-utils
Obsoletes:      libexfat0 < %{version}

%description
A set of utilities for creating, checking, dumping and labelling exFAT file
system.

%package -n libexfat0
Summary:        Utilities for exFAT file system maintenance

%description -n libexfat0
A set of utilities for creating, checking, dumping and labelling exFAT file
system.

This package contains the shared library.

%prep
%setup -q
chmod -x COPYING

%build
autoreconf -fi
%configure

%make_build

%install
%make_install

%files
%license COPYING
%doc README.md
%{_mandir}/man8/fsck.exfat.8%{?ext_man}
%{_mandir}/man8/mkfs.exfat.8%{?ext_man}
%{_mandir}/man8/tune.exfat.8%{?ext_man}
%{_sbindir}/fsck.exfat
%{_sbindir}/mkfs.exfat
%{_sbindir}/tune.exfat

%changelog
* Fri Sep 11 2020 mvetter@suse.com
- jsc#SLE-16156: Add exfatprogs to SLE
* Mon Sep  7 2020 idonmez@suse.com
- Remove ExclusiveArch, the code compiles on all arches cleanly now.
* Mon Aug  3 2020 idonmez@suse.com
- Update to version 1.0.4
  * fsck.exfat: display sector, cluster, and volume sizes in the human
    readable format.
  * fsck.exfat: reduce the elapsed time using read-ahead.
  * mkfs.exfat: generate pseudo unique serials while creating filesystems.
  * mkfs.exfat: add the "-b" option to align the start offset of FAT and
    data clusters.
  * fsck.exfat: repair zero-byte files which have the NoFatChain attribute.
  * Fix memory leaks on error handling paths.
  * fsck.exfat: fix the bug that cannot access space beyond 2TB.
* Tue May 12 2020 idonmez@suse.com
- Update to version 1.0.3
  * libexfat0 library is no longer installed
  * Rename label.exfat to tune.exfat.
  * tune.exfat: change argument style
    (-l option for print level, -L option for setting label)
  * mkfs.exfat: harmonize set volume label option with tune.exfat.
  * Fix the reported build warnings/errors.
  * Add memset to clean garbage in allocation.
  * Fix wrong volume label array size.
  * Open a device using O_EXCL to avoid formatting it while it is mounted.
  * Add man page.
* Thu Apr 23 2020 idonmez@suse.com
- Initial release on OBS
